Bug 37464 - Cell Border works backwards on Right-to-Left spreadsheet
Summary: Cell Border works backwards on Right-to-Left spreadsheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Faisal Menawer
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on:
Blocks: RTL-CTL 62399
  Show dependency treegraph
 
Reported: 2011-05-22 04:20 UTC by Ariel Nemtzov
Modified: 2013-03-18 12:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ariel Nemtzov 2011-05-22 04:20:29 UTC
On a right-to-left spreadsheet when using the border coloring toolbar dropdown, upon selecting the right or left border to be colored, the other one is actually colored.

So, for instance, if I want only the left border to be colored I would select the left border button in the toolbar dropdown. Actual effect is that the right border is colored. The same occurs the other way around.
Comment 1 Björn Michaelsen 2011-12-23 12:08:00 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Michael Stahl (CIB) 2012-05-23 14:42:05 UTC
can reproduce it in LO 3.5.4, OOo 3.4beta, OOo 3.3, OOo 3.0.1,
does not look like a regression
Comment 3 Faisal Menawer 2013-03-03 05:23:26 UTC
Reproduced in Libreoffice 4.0 Ubuntu 12.10 64 bit
Comment 4 Commit Notification 2013-03-18 06:32:32 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84e4bf884718fcca8934b81b4037e063cf08c71e

Fix fdo#37464 - Cell Border works backwards on Right-to-Left sheet



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Lior Kaplan 2013-03-18 09:48:57 UTC
Verified on a build from master.
Comment 6 Commit Notification 2013-03-18 12:48:51 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86a73eb47ea7239182dafaf827ad43e3b09dc20e&h=libreoffice-4-0

Fix fdo#37464 - Cell Border works backwards on Right-to-Left sheet


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.